summaryrefslogtreecommitdiffstats
path: root/haskell/haskell-texmath
diff options
context:
space:
mode:
author Robby Workman <rworkman@slackbuilds.org>2011-03-16 01:20:14 -0500
committer Robby Workman <rworkman@slackbuilds.org>2011-03-20 12:32:23 -0500
commit6a511b1c665a1f7efecadaa3447af889b1dcba58 (patch)
tree2266375d0edd4ec28f98767b54af3fbd8edebea2 /haskell/haskell-texmath
parentf228ec7eefcb4ab77057015a1b13c85973cb68ee (diff)
downloadslackbuilds-6a511b1c665a1f7efecadaa3447af889b1dcba58.tar.gz
slackbuilds-6a511b1c665a1f7efecadaa3447af889b1dcba58.tar.xz
haskell/*: Moved all of the Haskell stuff to here
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'haskell/haskell-texmath')
-rw-r--r--haskell/haskell-texmath/README8
-rw-r--r--haskell/haskell-texmath/doinst.sh1
-rw-r--r--haskell/haskell-texmath/haskell-texmath.SlackBuild92
-rw-r--r--haskell/haskell-texmath/haskell-texmath.info10
-rw-r--r--haskell/haskell-texmath/slack-desc19
-rw-r--r--haskell/haskell-texmath/texmath-utf8.patch28
6 files changed, 158 insertions, 0 deletions
diff --git a/haskell/haskell-texmath/README b/haskell/haskell-texmath/README
new file mode 100644
index 0000000000..2ea3bf86a3
--- /dev/null
+++ b/haskell/haskell-texmath/README
@@ -0,0 +1,8 @@
+This is a library for Haskell programs, providing functions to convert LaTeX
+math formulas to presentation MathML. It supports basic LaTeX and AMS
+extensions, but not macros.
+
+This requires ghc, haskell-parsec and haskell-xml.
+
+When uninstalling, run the following command to unregister the package
+from the ghc package database: ghc-pkg recache
diff --git a/haskell/haskell-texmath/doinst.sh b/haskell/haskell-texmath/doinst.sh
new file mode 100644
index 0000000000..3268c238bf
--- /dev/null
+++ b/haskell/haskell-texmath/doinst.sh
@@ -0,0 +1 @@
+chroot . /usr/bin/ghc-pkg recache
diff --git a/haskell/haskell-texmath/haskell-texmath.SlackBuild b/haskell/haskell-texmath/haskell-texmath.SlackBuild
new file mode 100644
index 0000000000..cf3d1299c7
--- /dev/null
+++ b/haskell/haskell-texmath/haskell-texmath.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/sh
+
+# Slackware build script for texmath
+
+# Written by Peter Wang <novalazy@gmail.com>
+# Public domain.
+
+SRCNAM=texmath
+PRGNAM=haskell-$SRCNAM
+VERSION=${VERSION:-0.3.0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+GHC_VERSION=$(ghc --numeric-version)
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Remove false dependency on utf8-string (only for a sample CGI script).
+patch -p1 < $CWD/texmath-utf8.patch
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+runghc Setup.hs configure \
+ --prefix=/usr \
+ --enable-shared \
+ --libdir=/usr/lib$LIBDIRSUFFIX \
+ --libsubdir=ghc-$GHC_VERSION/$SRCNAM-$VERSION \
+ --docdir=/usr/doc/$PRGNAM-$VERSION
+
+runghc Setup.hs build
+runghc Setup.hs haddock
+runghc Setup.hs copy --destdir=$PKG
+runghc Setup.hs register --gen-pkg-config
+
+# Remove test data.
+rm -r $PKG/usr/share
+
+PKGCONFD=/usr/lib${LIBDIRSUFFIX}/ghc-${GHC_VERSION}/package.conf.d
+PKGID=$( grep -E "^id: " $SRCNAM-$VERSION.conf | cut -d" " -f2 )
+mkdir -p $PKG/$PKGCONFD
+mv $SRCNAM-$VERSION.conf $PKG/$PKGCONFD/$PKGID.conf
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/haskell/haskell-texmath/haskell-texmath.info b/haskell/haskell-texmath/haskell-texmath.info
new file mode 100644
index 0000000000..a4e4ec8ec3
--- /dev/null
+++ b/haskell/haskell-texmath/haskell-texmath.info
@@ -0,0 +1,10 @@
+PRGNAM="haskell-texmath"
+VERSION="0.3.0.1"
+HOMEPAGE="http://hackage.haskell.org/package/texmath"
+DOWNLOAD="http://hackage.haskell.org/packages/archive/texmath/0.3.0.1/texmath-0.3.0.1.tar.gz"
+MD5SUM="f2ec771aaae9e678bf9106fe161efb85"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Peter Wang"
+EMAIL="novalazy@gmail.com"
+APPROVED="dsomero"
diff --git a/haskell/haskell-texmath/slack-desc b/haskell/haskell-texmath/slack-desc
new file mode 100644
index 0000000000..ccfd1d3913
--- /dev/null
+++ b/haskell/haskell-texmath/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+haskell-texmath: haskell-texmath (Conversion of LaTeX math formulas to MathML)
+haskell-texmath:
+haskell-texmath: This is a library for Haskell programs, providing functions to
+haskell-texmath: convert LaTeX math formulas to presentation MathML. It supports
+haskell-texmath: basic LaTeX and AMS extensions, but not macros.
+haskell-texmath:
+haskell-texmath: http://hackage.haskell.org/package/texmath
+haskell-texmath:
+haskell-texmath:
+haskell-texmath:
+haskell-texmath:
diff --git a/haskell/haskell-texmath/texmath-utf8.patch b/haskell/haskell-texmath/texmath-utf8.patch
new file mode 100644
index 0000000000..ab5fcf2bf0
--- /dev/null
+++ b/haskell/haskell-texmath/texmath-utf8.patch
@@ -0,0 +1,28 @@
+From: John MacFarlane <jgm@berkeley.edu>
+Date: Thu, 22 Jul 2010 19:11:14 -0700
+Subject: [PATCH] Put utf8-string dependency in right place.
+
+---
+ texmath.cabal | 3 +--
+ 1 files changed, 1 insertions(+), 2 deletions(-)
+
+diff --git a/texmath.cabal b/texmath.cabal
+index f14d7dc..ad83d05 100644
+--- a/texmath.cabal
++++ b/texmath.cabal
+@@ -77,11 +77,10 @@ Executable testTeXMathML
+
+ Executable texmath-cgi
+ Main-is: cgi/texmath-cgi.hs
+- Build-depends: utf8-string
+ Ghc-Options: -Wall -fno-warn-unused-do-bind
+ Ghc-Prof-Options: -auto-all
+ if flag(cgi)
+ Buildable: True
+- Build-depends: cgi, json
++ Build-depends: cgi, json, utf8-string
+ else
+ Buildable: False
+--
+1.7.1
+